### Function

# Json boxed_deserialize

#### Declaration [src]

    gpointer
    json_boxed_deserialize (
      GType gboxed_type,
      JsonNode* node
    )

#### Description [src]

Deserializes the given `JsonNode` into a `GBoxed` of the given type.

Available since: | 0.10

#### Parameters

`gboxed_type` | `GType`
| A boxed type.
`node` | `JsonNode`
| A node.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gpointer`
| The newly allocated boxed data.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.